:root {
    --bg: #000000;
    --disable: #ffffff40;
    --text: #00ff00CF;
    --border: #00ff00A0;
}

@font-face {
    font-family: 'clacon2';
    font-style: normal;
    font-weight: 400;
    src: url(../fonts/clacon2.woff2) format('woff2');
}

html, body {
    width: 100%;
    height: 100%;
    margin: 0;
    background: var(--bg);
    font-family: 'clacon2', monospace;
    overflow: hidden;
    user-select: none;
    user-zoom: none;
    -webkit-user-drag: none;
    -webkit-user-select: none;
    -moz-user-select: none;
}

cli-interface {
    position: absolute;
    width: 50%;
    height: 100%;
    background: var(--bg);
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

cli-title {
    position: absolute;
    color: #00ff00BF;
    text-align: left;
    font-size: 20px;
    top: 0;
    left: 50%;
    margin-top: 8px;
    transform: translateX(-94%);
    white-space: nowrap;
    animation: color_smt infinite ease-in 2.0s;
}

@keyframes color_smt {
    0%, 100% {
        color: #00ff00AF;
    }
    50% {
        color: #00ff00FF;
    }
}

dot-area {
    position: absolute;
    left: 50%;
    top: 72px;
    width: 768px;
    height: 768px;
    border: 1px #ffffff3A solid;
    transform: translateX(-50%);
    display: flex;
    flex-direction: column;
}

.fill_g {
    background: #00ff00AF;
}

dot-row {
    width: 100%;
    height: 24px;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
}

dot-item {
    width: 22px;
    height: 22px;
    border: #ffffff1A 1px solid;
}

.c1, .c2, .c3, .c4, .c5, .c6, .c7 {
    border: transparent 1px solid;
}

.c1 { background: white; }
.c2 { background: red; }
.c3 { background: green; }
.c4 { background: yellow; }
.c5 { background: blue; }
.c6 { background: magenta; }
.c7 { background: cyan; }

button {
    position: absolute;
    left: 50%;
    bottom: 0;
    transform: translateX(-50%);
    font-size: 24px;
}

button-area {
    width: 48.7rem;
    height: 82px;
    left: 50%;
    position: absolute;
    bottom: 0;
    transform: translate(-50%, -15%);
    display: flex;
    justify-content: space-between;
}

button-item {
    width: calc(100% - 10px);
    height: 100%;
    margin: 0 4px;
    border: 1px solid var(--disable);
    transition: 0.1s ease-in-out;
    position: relative;
}

button-item:hover {
    border: 1px solid var(--border);
}

item-label {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: var(--disable);
    white-space: nowrap;
    font-size: 38px;
    transition: 0.1s ease-in-out;
}

button-item:hover item-label {
    font-size: 32px;
    color: var(--text);
}

button-item:hover item-label::after {
    content: " ↦";
    color: var(--text);
}

dialog-area {
    position: absolute;
    width: 100%;
    height: 100%;
    background: #001a0030;
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
    z-index: 10;
    opacity: 1.0;
    animation: color_bk infinite ease-in 4.0s;
    transition: 0.25s ease-in-out;
}

@keyframes color_bk {
    0%, 100% {
        background: #001a0030;
    }
    50% {
        background: #001c0050;
    }
}

dialog-box {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: #000;
    width: 768px;
    height: 768px;
    border: 10px solid var(--border);
    filter: drop-shadow(0 0 36px #001a00FF);
    -webkit-filter: drop-shadow(0 0 36px #001a00FF);
    transition: 0.25s ease-in-out;
}

dialog-title {
    position: absolute;
    color: var(--text);
    font-size: 72px;
    margin: 48px;
}

.hidden-area {
    opacity: 0.0;
    pointer-events: none;
}

.hidden-area dialog-box {
    transform: translate(-50%, 40%) scaleY(0%);
}

dialog-close {
    width: calc(100% - 48px);
    margin: 0 24px;
    height: 72px;
    position: absolute;
    right: 0;
    bottom: 24px;
    border: 1px solid var(--disable);
    transition: 0.1s ease-in-out;
}

dialog-close-label, dialog-btn-label {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: var(--disable);
    font-size: 54px;
    margin-top: 4px;
    transition: 0.1s ease-in-out;
}

dialog-btn:hover, dialog-close:hover {
    border: 1px solid var(--border);
}

dialog-close:hover dialog-close-label, dialog-btn:hover dialog-btn-label {
    color: var(--text);
    font-size: 46px;
}

dialog-close:hover dialog-close-label::after, dialog-btn:hover dialog-btn-label::after {
    color: var(--text);
    content: " ↦";
}

input-label {
    color: var(--text);
    font-size: 64px;
}

input {
    width: calc(100% - 6px);
    height: 290px;
    background: none;
    outline: none;
    border: 1px solid var(--disable);
    color: var(--text);
    font-size: 128px;
    transition: 0.1s ease-in-out;
    font-family: 'clacon2';
}

input:hover {
    border: 1px solid var(--border);
}

dialog-btn {
    position: absolute;
    width: calc(100% - 2px);
    height: 72px;
    bottom: 0;
    border: 1px solid var(--disable);
    transition: 0.1s ease-in-out;
}

dialog-content {
    position: absolute;
    width: calc(100% - 48px);
    height: 400px;
    margin: 0 24px;
    bottom: 124px;
    overflow-x: hidden;
    overflow-y: scroll;
    -ms-overflow-style: none;
    scrollbar-width: none;
    display: flex;
    flex-direction: column;
}

dialog-content::-webkit-scrollbar {
    display: none;
}

content-scroll {
    width: 100%;
    height: 100%;
    color: #00ff0070;
    font-size: 14px;
    user-select: all;
    user-zoom: all;
    -webkit-user-drag: all;
    -webkit-user-select: all;
    -moz-user-select: all;
}

.disable {
    pointer-events: none;
}
